# Conditional build:
%bcond_with	tests		# check-based tests

Summary:	OpenVPN Auth-LDAP Plugin
Summary(pl.UTF-8):	Wtyczka Auth-LDAP dla OpenVPN
Name:		openvpn-plugin-auth-ldap
Version:	2.0.4
Release:	1
License:	BSD + others
Group:		Applications
Source0:	https://github.com/threerings/openvpn-auth-ldap/archive/auth-ldap-%{version}.tar.gz
# Source0-md5:	c4985fbbf88042e28efd1521d03bf658
Patch1:		%{name}-objc-include.patch
URL:		https://github.com/threerings/openvpn-auth-ldap
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_tests:BuildRequires:	check}
BuildRequires:	gcc-objc
BuildRequires:	openldap-devel
BuildRequires:	openvpn-devel
BuildRequires:	re2c
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/openvpn/plugins
%define		_sysconfdir	/etc/openvpn

%description
The openvpn-auth-ldap plugin implements username/password
authentication via LDAP.

%description -l pl.UTF-8
Wtyczka openvpn-auth-ldap implementuje uwierzytelnianie nazwą
użytkownika i hasłem poprzez LDAP.

%prep
%setup -q -n openvpn-auth-ldap-auth-ldap-%{version}
#%%patch1 -p1

#:> objc.m4

%build
#%%{__aclocal}
%{__autoconf}
%{__autoheader}
cp -f /usr/share/automake/config.sub .
%configure \
	OBJCFLAGS="-std=gnu11" \
	--with-objc-runtime=GNU \
	--with-check=%{!?with_tests:/proc}%{?with_tests:/usr} \
	--with-openldap=/usr \
	--with-openvpn=/usr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a auth-ldap.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auth-ldap.conf
%attr(755,root,root) %{_libdir}/openvpn-auth-ldap.so
%changelog
* Tue Aug 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openvpn-plugin-auth-ldap.git;a=log;h=master

* Tue Aug 06 2019 Tomasz Pala <gotar@polanet.pl> 4e89452
- cleanup

* Tue Aug 06 2019 Tomasz Pala <gotar@polanet.pl> c0577bf
- set C++ std as declared in ubuntu_16.04_lts_build.sh

* Tue Aug 06 2019 Tomasz Pala <gotar@polanet.pl> 2523884
- I can reproduce the problem by removing aclocal.m4, try not breaking the provided one

* Tue Aug 06 2019 Tomasz Pala <gotar@polanet.pl> 8149f5a
- nope

* Tue Aug 06 2019 Tomasz Pala <gotar@polanet.pl> 272fd88
- try to circumvent some autocr*p problem that doesn't manifest in my env

* Tue Aug 06 2019 Tomasz Pala <gotar@polanet.pl> 1654a59
- upgrade to 2.0.4: "A decade of small fixes and improvements"

* Fri Jan 25 2013 Elan Ruusamäe <glen@delfi.ee> c06ccb3
- this plugin built with gcc 4.7 crashes!

* Mon Jun 18 2012 Jan Rękorajski <baggins@pld-linux.org> 2c1219b
- release 9

* Fri Jun 15 2012 Jan Rękorajski <baggins@pld-linux.org> 391d2ad
- rel 8
- fix check for no longer existing objc-api.h file

* Fri Jun 15 2012 Jan Rękorajski <baggins@pld-linux.org> 30ba549
- rel 7
- rebuild with gcc 4.7.1

* Sun Nov 27 2011 Adam Osuchowski <adwol@pld-linux.org> 92f0a05
- fixed undefined references errors during compilation

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4652f70
- release 5

* Sun Oct 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 20c562b
- release 4

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 34e06bc
- partial fix for bulding with current gcc

* Thu Dec 02 2010 Elan Ruusamäe <glen@pld-linux.org> e1933f0
- verbose files

* Wed Dec 03 2008 Jakub Bogusz <qboosh@pld-linux.org> bcb26d9
- fixed(?) tests bcond

* Tue Dec 02 2008 Elan Ruusamäe <glen@pld-linux.org> fc3a171
- release 3

* Tue Dec 02 2008 Elan Ruusamäe <glen@pld-linux.org> 8e8947f
- release 2

* Tue Dec 02 2008 Elan Ruusamäe <glen@pld-linux.org> 38f8f24
- update to 2.0.3

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> c06ed0d
- updated openldap BR/R to 2.4.6

